/*
	Baha'i Calendar
	Developer : Omid Monshizadeh
	Lastupdate: August 17, 2008
	Homepage: www.mamad.net
	E-mail: omid@mamad.net
*/

function toBahai(_d,_m,_y) {
	var curDate = new Date();
	curDate.setMonth(_m);
	curDate.setDate(_d);
	var bahaiDay;
	var bahaiMonth;
	switch (curDate.getMonth())
	{
		case 0:
			if(curDate.getDate()>=1 && curDate.getDate()<=18){
				bahaiMonth = 15;
				bahaiDay = curDate.getDate()+1;
			}
			else if(curDate.getDate()>=19 && curDate.getDate()<=31){
				bahaiMonth = 16;
				bahaiDay = curDate.getDate()-18;
			}
		break;
		case 1:
			if (curDate.getDate() >= 1 && curDate.getDate() <= 6) {
				bahaiMonth = 16;
				bahaiDay = curDate.getDate()+13;
			}
			else if (curDate.getDate() >= 7 && curDate.getDate() <= 25){
				bahaiMonth = 17;
				bahaiDay = curDate.getDate()-6;
			}
			else if (curDate.getDate() >= 26 && curDate.getDate() <= 29){
				bahaiMonth = 18;
				bahaiDay = curDate.getDate()-25;
			}
		break;
		case 2:
			if(curDate.getDate()==1){
				bahaiMonth = 18;
				bahaiDay = curDate.getDate()+4;
			}
			else if(curDate.getDate()>=2 && curDate.getDate()<=20){
				bahaiMonth = 19;
				bahaiDay = curDate.getDate()-1;
			}
			else if(curDate.getDate()>=21 && curDate.getDate()<=31){
				bahaiMonth = 0;
				bahaiDay = curDate.getDate()-20;
			}
		break;
		case 3:
			if(curDate.getDate()>=1 && curDate.getDate()<=8){
				bahaiMonth = 0;
				bahaiDay = curDate.getDate()+11;
			}
			else if(curDate.getDate()>=9 && curDate.getDate()<=27){
				bahaiMonth = 1;
				bahaiDay = curDate.getDate()-8;
			}
			else if(curDate.getDate()>=28 && curDate.getDate()<=30){
				bahaiMonth = 1;
				bahaiDay = curDate.getDate()-27;
			}
		break;
		case 4:
			if(curDate.getDate()>=1 && curDate.getDate()<=16){
				bahaiMonth = 2;
				bahaiDay = curDate.getDate()+3;
			}
			else if(curDate.getDate()>=17 && curDate.getDate()<=31){
				bahaiMonth = "Azamat";
				bahaiDay = curDate.getDate()-16;
			}
		break;
		case 5:
			if(curDate.getDate()>=1 && curDate.getDate()<=4){
				bahaiMonth = 3;
				bahaiDay = curDate.getDate()+15;
			}
			else if(curDate.getDate()>=5 && curDate.getDate()<=23){
				bahaiMonth = 4;
				bahaiDay = curDate.getDate()-4;
			}
			else if(curDate.getDate()>=24 && curDate.getDate()<=30){
				bahaiMonth = 5;
				bahaiDay = curDate.getDate()-23;
			}
		break;
		case 6:
			if(curDate.getDate()>=1 && curDate.getDate()<=12){
				bahaiMonth = 5;
				bahaiDay = curDate.getDate()+7;
			}
			else if(curDate.getDate()>=13 && curDate.getDate()<=31){
				bahaiMonth = 6;
				bahaiDay = curDate.getDate()-12;
			}
		break;		
		case 7:
			if(curDate.getDate()>=1 && curDate.getDate()<=19){
				bahaiMonth = 7;
				bahaiDay = curDate.getDate();
			}
			else if(curDate.getDate()>=20 && curDate.getDate()<=31){
				bahaiMonth = 8;
				bahaiDay = curDate.getDate()-19;
			}
		break;
		case 8:
			if(curDate.getDate()>=1 && curDate.getDate()<=7){
				bahaiMonth = 8;
				bahaiDay = curDate.getDate()+12;
			}
			else if(curDate.getDate()>=8 && curDate.getDate()<=26){
				bahaiMonth = 9;
				bahaiDay = curDate.getDate()-7;
			}
			else if(curDate.getDate()>=27 && curDate.getDate()<=30){
				bahaiMonth = 10;
				bahaiDay = curDate.getDate()-26;
			}
		break;
		case 9:
			if(curDate.getDate()>=1 && curDate.getDate()<=15){
				bahaiMonth = 10;
				bahaiDay = curDate.getDate()+4;
			}
			else if(curDate.getDate()>=16 && curDate.getDate()<=31){
				bahaiMonth = 11;
				bahaiDay = curDate.getDate()-15;
			}
		break;
		case 10:
			if(curDate.getDate()>=1 && curDate.getDate()<=3){
				bahaiMonth = 11;
				bahaiDay = curDate.getDate()+16;
			}
			else if(curDate.getDate()>=4 && curDate.getDate()<=22){
				bahaiMonth = 12;
				bahaiDay = curDate.getDate()-3;
			}
			else if(curDate.getDate()>=23 && curDate.getDate()<=30){
				bahaiMonth = 13;
				bahaiDay = curDate.getDate()-22;
			}
		break;
		case 11:
			if(curDate.getDate()>=1 && curDate.getDate()<=11){
				bahaiMonth = 13;
				bahaiDay = curDate.getDate()+8;
			}
			else if(curDate.getDate()>=12 && curDate.getDate()<=30){
				bahaiMonth = 14;
				bahaiDay = curDate.getDate()-11;
			}
			else if(curDate.getDate()>=12 && curDate.getDate()==31){
				bahaiMonth = 14;
				bahaiDay = curDate.getDate()-30;
			}
		break;
	}
	return bahaiDay+","+bahaiMonth;
}
